
<h1>Esempla Classifiers Module</h1>

## Installation

The preferred way to install this extension is through [composer](http://getcomposer.org/download/).

> Note: Check the [composer.json](https://packagist.org/packages/esempla/yii2-rbac) for this extension's requirements and dependencies.
Read this [web tip /wiki](https://packagist.org/packages/esempla/yii2-rbac) on setting the `minimum-stability` settings for your application's composer.json.

Either run

```
$ php composer.phar require esempla/yii2-classifiers "1.0.*"
```

or add

```
"esempla/yii2-classifiers": "1.0.*"
```

to the ```require``` section of your `composer.json` file.

## Migrations
The extension has been created with database table. You should execute database migrations.(*PostgreSQL &reg;* recommended)

```php
 php yii migrate/up create_sys_classifiers_table --migrationPath="vendor/esempla/yii2-classifiers/src/migrations" 
```

## Module
The extension has been created as a module. You should configure the module with a name of `authManager` as shown below:
```php
'modules' => [
	...
	'Classifier' => [  
        'class' => 'classifier\ClassifierModule',  
    ],
    'classifiercreator' => [
        'class' => 'classifier\modules\ClassifierCreator\Classifier',
    ],
	...
],
```
And set aliasies for src path(/common/main.php recommanded)
```php
'aliases' => [  
    ...  
    '@classifier' => '@vendor/esempla/yii2-classifiers/src',  
],
```
##  Add in bootstrap.php in common or backend

```php
     Yii::setAlias('@classifier', dirname(dirname(__DIR__)) . '/vendor/esempla/yii2-classifiers/src');  
 ```                    

##  Important ! set file access by example
 
```bash
sudo chown -R root:www-data console/migrations
sudo chown -R root:www-data vendor/esempla/yii2-classifiers/src/models vendor/esempla/yii2-classifiers/src/views vendor/esempla/yii2-classifiers/src/controllers/
```


## To acces module

> **Go to** <u> http:://you_server/Classifier</u>