<?php

    namespace classifier\generators\controller;

    use classifier\helpers\CommandHelper;
    use Yii;


    class GeneratorHelper extends yii\gii\generators\controller\Generator
    {
        public $baseControllerClass = 'classifier\controllers\CommonController';
        /**
         * template name for CRUD
         * @var string
         */
        public $template="default";
        /**
         * message Category for models and Search models
         * @var string
         */
        public $messageCategory="classifier";
        /**
         * default Name Space for controllers in classifier
         * @var string
         */
        public $controllerNS="classifier\\controllers\\";

        /**
         *  Generate Empty Controller for model by data in
         * @param $data
         * @return array
         */
        public function generateController($data)
        {
            $this->loadStickyAttributes();
            $this->attributes = $data;
            $files = $this->generate();
            $answers = [];
            foreach ($files as $file) {
                $answers[$file->id] = $file->id;
            }
            $results = "";
            $isError = !$this->save($files, $answers, $results);

            return ["state"=>!$isError,"results"=>$results];


        }

        /**
         * rewrited method for implemet @classifier allias in geting view path for CRUD
         * @return bool|string
         */
        public function getViewPath()
        {
            if (empty($this->viewPath)) {
                return Yii::getAlias('@classifier'.DIRECTORY_SEPARATOR.'views'.DIRECTORY_SEPARATOR . $this->getControllerID());
            }

            return Yii::getAlias(str_replace('\\', '/', $this->viewPath));
        }
    }
