<?php

use yii\db\Migration;

/**
 * Handles the creation of table `sys_classifiers`.
 */
class m180508_070654_create_sys_classifiers_table extends Migration
{
    /**
     * migrarea ce se executa la instalarea modului crearea tabele sys_classifiers in care se salveaza clasificatoarele
     * crearea schemei classifiers in care se va salva toate clasificatoarele noi create
     * @return bool|void
     */
    public function safeUp()
    {
        if (Yii::$app->db->schema->getTableSchema("sys_classifiers") === null) {
            $this->createTable('sys_classifiers', [
                'id' => $this->bigPrimaryKey(),
                'table_name' => $this->string(80)->notNull(),
                'class_name' => $this->string(500)->notNull(),
                'last_migrate' => $this->string(200)->notNull(),
                'description' => $this->string(500),
                'attribute_fields' => $this->string(50000),
                'created_at' => $this->timestamp()->notNull(),
                'updated_at' => $this->timestamp(),
                'created_user' => $this->bigInteger()->notNull(),
                'updated_user' => $this->bigInteger(),
            ]);
        }
        $this->execute("CREATE SCHEMA classifiers");

    }

    /**
     * Stergerea tabelului sys_classifiers
     * @return bool|void
     */
    public function safeDown()
    {
        $this->dropTable('sys_classifiers');
    }
}
