<?php

namespace classifier\models;

use Yii;

/**
 * This is the model class for table "app_setting".
 *
 * @property int $id
 * @property string $settingName
 * @property string $settingCode
 * @property string $value
 * @property int $create_user
 * @property string $create_datetime
 * @property int $update_user
 * @property string $update_datetime
 */
class AppSetting extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'app_setting';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['settingName', 'create_user', 'create_datetime'], 'required'],
            [['create_user', 'update_user'], 'default', 'value' => null],
            [['create_user', 'update_user'], 'integer'],
            [['create_datetime', 'update_datetime'], 'safe'],
            [['settingName'], 'string', 'max' => 1000],
            [['settingCode'], 'string', 'max' => 10],
            [['value'], 'string', 'max' => 10000],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => Yii::t('app', 'ID'),
            'settingName' => Yii::t('app', 'Setting Name'),
            'settingCode' => Yii::t('app', 'Setting Code'),
            'value' => Yii::t('app', 'Value'),
            'create_user' => Yii::t('app', 'Create User'),
            'create_datetime' => Yii::t('app', 'Create Datetime'),
            'update_user' => Yii::t('app', 'Update User'),
            'update_datetime' => Yii::t('app', 'Update Datetime'),
        ];
    }
}
