<?php

namespace classifier\models;


use yii\base\Model;
use yii\data\ActiveDataProvider;


/**
 * SysClassifiersSearch represents the model behind the search form of `classifier\models\SysClassifiers`.
 */
class SysClassifiersSearch extends SysClassifiers
{
    /**
     * returneaza regulile
     * @return array
     */
    public function rules()
    {
        return [
            [['id', 'created_user', 'updated_user'], 'integer'],
            [['table_name', 'class_name', 'last_migrate', 'description', 'attribute_fields', 'created_at', 'updated_at'], 'safe'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
        $query = SysClassifiers::find();

        // add conditions that should always apply here

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere([
            'id' => $this->id,
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
            'created_user' => $this->created_user,
            'updated_user' => $this->updated_user,
        ]);

        $query->andFilterWhere(['ilike', 'table_name', $this->table_name])
            ->andFilterWhere(['ilike', 'class_name', $this->class_name])
            ->andFilterWhere(['ilike', 'last_migrate', $this->last_migrate])
            ->andFilterWhere(['ilike', 'description', $this->description])
            ->andFilterWhere(['ilike', 'attribute_fields', $this->attribute_fields]);

        return $dataProvider;
    }
}
