<?php

namespace classifier\modules\ClassifierCreator\models;


use yii\base\Model;

/**
 * Class ClassifierField
 * @package classifier\modules\ClassifierCreator\models
 */
class ClassifierField extends Model
{

    public $name;
    public $type;
    public $length;
    public $null;
    public $key;
    public $default;
    public $clasificator_tip;

    /**
     * @return array
     */
    public function rules()
    {

        /** @var  $type_array
         *  Array with types of field
         */
        $type_array=[
            'char' => 'char',
            'text' => 'text',
            'string' => 'string',
            'integer' => 'integer',
            'bigInteger' => 'bigInteger',
            'decimal' => 'decimal',
            'float' => 'float',
            'boolean' => 'boolean',
            'double' => 'double',
            'date' => 'date',
            'time' => 'time',
            'dateTime' => 'dateTime',
            'timestamp' => 'timestamp',
            'classifier'=>'classifier'

        ];

        return [
            ['type',  'in', 'range' => $type_array],
            ['type',  'required'],
            ['default', 'validateDefault']


        ];
    }

    /**
     *   Make validation of default field value, if  type is in @var  $default_type_array
     *   then default value mast be numeric
     */
    public function validateDefault()
    {
        /** @var  $default_type_array */
        $default_type_array=[
            'integer' => 'integer',
            'bigInteger' => 'bigInteger',
            'decimal' => 'decimal',
            'float' => 'float',
            'double' => 'double',


        ];

        if (!empty($this->default) && $this->default !== "Default value"){

            if (in_array($this->type, $default_type_array) && !is_numeric($this->default)){
                $this->addError('default', 'Incorrect type of default data');
            }

        }


    }
}