<?php
    declare(strict_types=1);

    use kartik\builder\Form;

    /* @var $model classifier\modules\ClassifierCreator\models\Classifier */
    if ($form != false):

        $data_type=str_replace("()", "",(preg_replace("/(?<=\().*?(?=\))/", "", ($field_data['type']) ?? null)));
        ?>

        <div class="row delete_element form-dynamic  mt-30">


            <!-- Replace these fields -->
            <div class="col-lg-11">
                <div class="col-lg-4">
                    <?php
                        try {
                            echo Form::widget([
                                // formName is mandatory for non active forms
                                // you can get all attributes in your controller
                                // using $_POST['kvform']
                                //'model'=>$model,
                                //'form'=>$form,
                                'formName' => "Classifier[$i]",
                                // default grid columns
                                'columns' => 2,

                                // set global attribute defaults
                                'attributeDefaults' => [
                                    'type' => Form::INPUT_TEXT,

                                    'inputContainer' => ['class' => 'col-md-12'],
                                    'container' => ['class' => 'form-group'],
                                ],

                                'attributes' => [
                                    'name' => [
                                        'label' => Yii::t('index', "Name"),
                                        "value"=>$name ?? "",
                                        'options' => [

                                            'required' => 'required',
                                            "placeholder" => Yii::t('index', "ex: name")
                                        ]
                                    ],
                                    'type' => [
                                        'type' => Form::INPUT_WIDGET,
                                        'label' => Yii::t('index', "Type"),
                                        'widgetClass' => 'kartik\select2\Select2',
                                        "value"=>$data_type ?? '',


                                        'options' => [
                                            "readonly"=>isset($field_data['type']) ? "readonly" : false,
                                            'pluginOptions' => [
                                                "placeholder" => Yii::t('index', "Select Type")
                                            ],
                                            'data' => [
                                                Yii::t('index', "Text field") => [
                                                    'char' => 'char',
                                                    'text' => 'text',
                                                    'string' => 'string',
                                                ],
                                                Yii::t('index', "Numeric field") => [
                                                    'integer' => 'integer',
                                                    'bigInteger' => 'bigInteger',
                                                    'decimal' => 'decimal',
                                                    'float' => 'float',
                                                    'double' => 'double',
                                                    'boolean' => 'boolean'
                                                ],
                                                Yii::t('index', "Date and Time field") => [
                                                    'date' => 'date',
                                                    'time' => 'time',
                                                    'dateTime' => 'dateTime',
                                                    'timestamp' => 'timestamp',

                                                ],
                                                Yii::t('index', "Classifier") => [
                                                    'classifier' => 'Classifier'
                                                ]
                                            ],


                                        ],

                                    ],


                                ]
                            ]);
                        } catch (Exception $e) {
                        }
                    ?>

                </div>
                <div class="col-lg-8 get_options " data-id="<?= $i ?>">
                    <?php
                    if (!empty($field_data)){
                        $foreignKey=$field_data['constraints']['foreignKey']?? null;
                        $array_data=["date", "time", "dateTime", "timestamp", "boolean"];
                        $array_integer=[ "integer", "bigInteger", "decimal", "float", "double", "string"];
                        $array_char=[ "char", "text"];


                        if (in_array($data_type, $array_data) && $foreignKey === null){
                             $view="_form_label";
                        }elseif(in_array($data_type, $array_integer) && $foreignKey === null){
                             $view="_form_options";
                        }elseif (in_array($data_type, $array_char) && $foreignKey === null){
                            $view="_form_options_special";

                        }elseif ($field_data !== null){
                            $view="_form_select2";
                        }

                        echo  $this->render($view, [
                            'field_data' => $field_data,
                            'form' => $form,
                            "i" => $i,
                            'data_classifyng'=>$classifier,
                            "primaryKey"=>$primaryKey,
                        ]) ;

                    }
                    ?>
                </div>

            </div>
            <!-- End of fields-->
            <div class="col-lg-1">
                <p class="delete">x</p>
            </div>
        </div>
    <?php
    endif;
?>
<div class="errror_array2" id="error_array2">

</div>
<!-- END OF HIDDEN ELEMENT -->



