<?php
declare(strict_types=1);

use kartik\builder\Form;

?>

<div class="col-lg-2 dynamyc_select_remove no-padding " data-id="<?= $i ?>">
    <?php
    if (isset($field_data['type'])) {
        preg_match("/(?<=\().*?(?=\))/", ($field_data['type'] ?? null), $output_array);

    }
    $default_data = $field_data['constraints']['defaultValue'] ?? null;
    if (isset($field_data['constraints'])) {
        $constraints = array_flip($field_data['constraints']);

    }
    try {
        echo Form::widget([
            'formName' => "Classifier[$i]",
            // default grid columns
            'columns' => 1,
            // set global attribute defaults
            'attributeDefaults' => [
                'type' => Form::INPUT_TEXT,
                'inputContainer' => ['class' => 'col-md-12'],
                'container' => ['class' => 'form-group'],
            ],
            'attributes' => [
                'null' => [
                    'label' => Yii::t('index', "NotNUll"),
                    'value' => isset($constraints['notNull']) ? 1 : false,
                    'options' => ['disabled' => (!isset($constraints['notNull']) && !empty($field_data)) ? true : false],

                    'type' => Form::INPUT_CHECKBOX
                ],
            ]
        ]);
    } catch (Exception $exception) {
        Yii::error($exception->getMessage());

    }

    ?>
</div>
<div class="col-lg-4 dynamyc_select_option " data-id="<?= $i ?>">
    <?php
    try {
        echo Form::widget([
            'formName' => "Classifier[$i]",
            // default grid columns
            'columns' => 2,
            // set global attribute defaults
            'attributeDefaults' => [
                'type' => Form::INPUT_TEXT,
                'inputContainer' => ['class' => 'col-md-12'],
                'container' => ['class' => 'form-group'],
            ],
            'attributes' => [
                'default' => [
                    'label' => Yii::t('index', "Default value"),
                    'value' => $default_data ?? null,
                    'options' => [
                        "placeholder" => Yii::t('index', "Default value")
                    ]
                ],
            ]
        ]);
    } catch (Exception $exception) {
        Yii::error($exception->getMessage());

    }
    ?>
</div>
<div class="col-lg-4 dynamyc_select_remove no-padding  checkbox_arange " data-id="<?= $i ?>">
    <?php try {
        echo Form::widget([
            // formName is mandatory for non active forms
            // you can get all attributes in your controller
            // using $_POST['kvform']
            //'model'=>$model,
            //'form'=>$form,
            'formName' => "Classifier[$i]",
            // default grid columns
            'columns' => 2,
            // set global attribute defaults
            'attributeDefaults' => [
                'type' => Form::INPUT_TEXT,
                'inputContainer' => ['class' => 'col-md-12'],
                'container' => ['class' => 'form-group'],
            ],
            'attributes' => [
                'public' => [
                    'label' => Yii::t('index', "Public"),
                    'type' => Form::INPUT_CHECKBOX
                ],
                'label' => [
                    'label' => Yii::t('index', "Label"),
                    'value' => $field_data['label'] ?? null

                ],
            ]
        ]);
    } catch (Exception $exception) {
        Yii::error($exception->getMessage());
    }
    ?>
</div>



