<?php
declare(strict_types=1);

use kartik\builder\Form;
use yii\helpers\Html;
use yii\widgets\ActiveForm;
$url_param=Yii::$app->request->queryParams;

?>
<div class="qwe">
    <div class="col-lg-12 bg-white">
        <div class="form-container classyfing_1">
            <fieldset>
                <!-- Form Name -->
                <h1 class="text-left"><?= Yii::t('index', 'Classifier creator') ?></h1>
                <?php $form = ActiveForm::begin([
                    'id' => 'form_classifying',
                    "options" => [],
                    "enableClientValidation" => false,
                    "enableAjaxValidation" => false,

                ]); ?>
                <div class="col-lg-12">
                    <h3>
                        <?= Yii::t('index', "Classifier options") ?>
                    </h3>
                    <div class="col-lg-8 ">
                        <?php

                        try {
                            echo Form::widget([
                                // formName is mandatory for non active forms
                                // you can get all attributes in your controller
                                // using $_POST['kvform']
                                //'model'=>$model,
                                //'form'=>$form,
                                'formName' => "classifier_data",
                                // default grid columns
                                'columns' => 1,
                                // set global attribute defaults
                                'attributeDefaults' => [
                                    'type' => Form::INPUT_TEXT,
                                    'inputContainer' => ['class' => 'col-md-12'],
                                    'container' => ['class' => 'md-form'],
                                ],
                                'attributes' => [
                                    'tableName' => [
                                        // 'label' => Yii::t('index', "Classifier Name"),
                                        'value' => str_replace('_', ' ',str_replace("cl_", "", $data->table_name)),

                                        'options' => [
                                            'class' => 'col-md-8 mt-20 form-control',
                                            "placeholder" => Yii::t('index', "Classifier Name")
                                        ]
                                    ],
                                    'description' => [
                                        'type' => Form::INPUT_TEXTAREA,
                                        'value' => $data->description,

                                        'options' => [
                                            'class' => 'form-control md-textarea',
                                            'rows' => "4",
                                            "placeholder" => Yii::t('index', "Description")
                                        ],
//                                        'label' => Yii::t('index', "Description")
                                    ],


                                ]
                            ]);
                        } catch (Exception $exception) {
                            Yii::error($exception->getMessage());
                        }

                        ?>
                    </div>
                    <div class="col-lg-4 option_card">
                        <?php
                        try {
                            echo Form::widget([
                                // formName is mandatory for non active forms
                                // you can get all attributes in your controller
                                // using $_POST['kvform']
                                //'model'=>$model,
                                //'form'=>$form,
                                'formName' => "classifier_data",
                                // default grid columns
                                'columns' => 1,
                                // set global attribute defaults
                                'attributeDefaults' => [
                                    'type' => Form::INPUT_TEXT,
                                    // 'inputContainer' => ['class' => 'col-md-12'],
                                    'container' => ['class' => 'form-check '],
                                ],
                                'attributes' => [
                                    'generateCrud' => [
                                        'label' => Yii::t('index', "Generate Crud"),
                                        'options' => ['class' => 'form-check-input '],

                                        'type' => Form::INPUT_CHECKBOX
                                    ],
                                    'generateTable' => [
                                        'label' => Yii::t('index', "Generate Table"),
                                        'options' => ['class' => 'form-check-input'],

                                        'type' => Form::INPUT_CHECKBOX
                                    ],
                                    'generateModel' => [
                                        'label' => Yii::t('index', "Generate Model"),
                                        'options' => ['class' => 'form-check-input'],

                                        'type' => Form::INPUT_CHECKBOX
                                    ],
                                ]
                            ]);
                        } catch (Exception $exception) {
                            Yii::error($exception->getMessage());
                        }
                        ?>
                    </div>
                </div>
               <div class="col-lg-12">
                   <?php

                   try {
                       echo Form::widget([

                           'formName' => "classifier_data",
                           // default grid columns
                           'columns' => 1,
                           // set global attribute defaults
                           'attributeDefaults' => [
                               'type' => Form::INPUT_TEXT,
                               'inputContainer' => ['class' => 'col-md-12'],
                               'container' => ['class' => 'form-group'],
                           ],
                           'attributes' => [
                                'update'=>[
                                        'type'=>Form::INPUT_HIDDEN,
                                        'value'=>$url_param['id']
                                ]
                           ]
                       ]);
                   } catch (Exception $exception) {
                       Yii::error($exception->getMessage());
                   }

                   ?>
               </div>

                <div class="col-lg-12 ungle_devider mt-30">
                    <div class="col-lg-4">
                        <h3 class="text-left">
                            <?= Yii::t('index', "Columns") ?>
                            <p class="add-one text-center btn btn-large btn-success">
                                <i class="fa fa-plus"></i>
                            </p>
                        </h3>
                    </div>
                    <div class="dynamic-stuff col-lg-12">
                        <!-- Dynamic element will be cloned here -->
                        <!-- you can replace it with any other elements -->
                        <?php
                        ?>
                        <div class="form-group dynac-element" data-key="<?= count($field_data) - 1 ?>">

                            <?php
                            if (empty($i)) {
                                $i = 0;
                            }
                            foreach ($field_data as $key => $model):
                                if ($key !== "primaryKey") {
                                    if (isset($field_data["primaryKey"]['columns'])) {
                                        $primary_key = array_flip($field_data["primaryKey"]['columns']);
                                    }
                                    ?>
                                    <?= $this->render('_form', [
                                        'field_data' => $field_data[$key],
                                        'name' => $key,
                                        'form' => $form,
                                        "i" => $i,
                                        'primaryKey' => $primary_key[$key] ?? false,
                                        'classifier'=>$classifier
                                    ]) ?>


                                    <?php


                                    $i++;
                                }
                            endforeach;
                            ?>
                        </div>
                    </div>

                </div>
                <?php
                echo Html::submitButton(Yii::t('index', 'Save'), ['class' => 'btn btn-success']);
                ActiveForm::end();
                ?>

            </fieldset>
        </div>

    </div>
</div>
<?php
$script = <<< JS
$(document).find('select[readonly].select2-hidden-accessible + .select2-container').closest('.col-md-12').find('.select2-selection--single').css("background-color", "#eee");

JS;
$this->registerJs($script);
?>