<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
/* @var $this yii\web\View */
/* @var $searchModel \yii\db\ActiveRecord */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = Yii::t('classifiers', 'Classifiers');
$this->params['breadcrumbs'][] = ['label' => Yii::t('classifiers', 'Classifier Module'), 'url' => ['/Classifier']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="sys-classifiers-index bg-white " >

    <?php Pjax::begin(); ?>
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

    <p>
        <?= Html::a(Yii::t('classifiers', 'Create Classifiers'), ['create'], ['class' => 'btn btn-success']) ?>
    </p>

    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'tableOptions' => [
            'class' => 'table table-responsive d-block'
        ],
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

            'id',
            'table_name',
            'class_name',
            'last_migrate'=>[
               'attribute'=>"last_migrate",
                'value'=>function($model){
                if (strlen($model->last_migrate) > 28){
                 return   $str = substr($model->last_migrate, 0, 28) . '...';
                }
                else return $model->last_migrate;

            },
                ],
            'description',
            //'attributes',
            //'created_at',
            //'updated_at',
            //'created_user',
            //'updated_user',

            ['class' => 'yii\grid\ActionColumn' ,
                'header'=>"Actions"],
        ],
    ]); ?>
    <?php Pjax::end(); ?>
</div>
