<?php

    use yii\helpers\Html;


    use yii\helpers\Url;
    use yii\widgets\DetailView;

    /* @var $this yii\web\View */
    /* @var $model \yii\db\ActiveRecord */

    $this->title = Yii::t('classifiers', 'Classifier') . ": " . $model->table_name;
    $this->params['breadcrumbs'][] = ['label' => Yii::t('classifiers', 'Classifier Module'), 'url' => ['/Classifier']];
    $this->params['breadcrumbs'][] = ['label' => Yii::t('classifiers', 'Classifiers'), 'url' => ['index']];
    $this->params['breadcrumbs'][] = $this->title;
?>
<div class="sys-classifiers-view bg-white">


    <p>
        <?= Html::a(Yii::t('classifiers', 'Insert Row'), [
            \classifier\helpers\FormHelper::getClassifierUrl($model->class_name, "create"),
            'id' => $model->id
        ], ['class' => 'btn btn-primary']) ?>
        <?= Html::a(Yii::t('classifiers', 'Admin') . " " . $model->table_name,
            [\classifier\helpers\FormHelper::getClassifierUrl($model->class_name, "index")],
            ['class' => 'btn btn-primary']) ?>
        <?= Html::a(Yii::t('classifiers', 'Update'), ['update', 'id' => $model->id], ['class' => 'btn btn-primary']) ?>
        <?= Html::a(Yii::t('classifiers', 'Delete'), ['delete', 'id' => $model->id], [
            'class' => 'btn btn-danger',
            'data' => [
                'confirm' => Yii::t('classifiers', 'Are you sure you want to delete this item?'),
                'method' => 'post',
            ],
        ]) ?>
    </p>
    <div class="row">
        <div class="col-md-8">
            <?= DetailView::widget([
                'model' => $model,
                'attributes' => [
                    'id',
                    'table_name',
                    'class_name',
                    'last_migrate',
                    'description',
                    'attribute_fields',
                    'created_at',
                    'updated_at',
                    'created_user',
                    'updated_user',
                ],
            ]) ?>
        </div>
        <div class="col-md-4">
            <?php
                $migrationExists = $model->migrationExists();
                $tableExists = $model->tableExists();
                $crudExists = $model->crudExists();
                $modelExists = $model->modelExists();
            ?>
            <div class="box box-<?= $tableExists && $modelExists && $crudExists ? "info" : "danger" ?>">
                <div class="box-header with-border">
                    <h3 class="box-title"><?= Yii::t("classifiers", "Advanced Info") ?></h3>
                    <h4><?= $tableExists && $modelExists && $crudExists ? "<label class=\"control-label\" style='color: #0b93d5' ><i class=\"fa fa-check\"></i>" . Yii::t("classifiers",
                                "Working Well") . "</label>" : "<label class=\"control-label\" style='color:red'><i class=\"fa fa-times-circle-o\"></i> " . Yii::t("classifiers",
                                "Working with errors") . "</label>" ?></h4>
                </div>
                <!-- /.box-header -->l 
                <div class="box-body">
                    <table class="table table-bordered">
                        <tbody>
                        <tr>
                            <th style="width: 10px">#</th>
                            <th><?= Yii::t("classifiers", "Procedure/Exists") ?></th>
                            <th><?= Yii::t("classifiers", "Progress") ?></th>
                            <th style="width: 40px"><?= Yii::t("classifiers", "Status") ?></th>
                        </tr>
                        <tr>
                            <td>0.</td>
                            <td><?= Yii::t("classifiers", "Migration Exist") ?></td>
                            <td>
                                <div class="progress progress-xs">
                                    <div class="progress-bar progress-bar-<?= $migrationExists ? "success" : "danger" ?>"
                                         style="width: <?= $migrationExists ? "100%" : "90%" ?>"></div>
                                </div>
                            </td>
                            <td><span class="badge bg-<?= $migrationExists ? "green" : "red" ?>"><span
                                            class="fa fa-<?= $migrationExists ? "check" : "ban" ?>"></span></span></td>
                        </tr>
                        <tr>
                            <td>1.</td>
                            <td><?= Yii::t("classifiers", "Table Exist") ?></td>
                            <td>
                                <div class="progress progress-xs">
                                    <div class="progress-bar progress-bar-<?= $tableExists ? "success" : "danger" ?>"
                                         style="width: <?= $tableExists ? "100%" : "90%" ?>"></div>
                                </div>
                            </td>
                            <td><span class="badge bg-<?= $tableExists ? "green" : "red" ?>"><span
                                            class="fa fa-<?= $tableExists ? "check" : "ban" ?>"></span></span>
                                <?php
                                    if (!$tableExists):
                                        ?>
                                        <span class="badge bg-blue">
                                <a style=" color: white" href="<?= Url::to([
                                    "/Classifier/default/regenerate-model",
                                    "model" => true,
                                    "tabel" => true,
                                    "crud" => false,
                                    "classifier" => $model->id
                                ]) ?>" data-title="<?= Yii::t("classifiers", "Regenerate Model") ?>">
                                    <span class="fa fa-refresh "></span>
                                </a>
                            </span>
                                    <?php
                                    endif;
                                ?>
                            </td>
                        </tr>
                        <tr>
                            <td>2.</td>
                            <td><?= Yii::t("classifiers", "Generate Model") ?></td>
                            <td>
                                <div class="progress progress-xs">
                                    <div class="progress-bar progress-bar-<?= $modelExists ? "success" : "danger" ?>"
                                         style="width: <?= $modelExists ? "100%" : "90%" ?>"></div>
                                </div>
                            </td>
                            <td><span class="badge bg-<?= $modelExists ? "green" : "red" ?>">
                                <span class="fa fa-<?= $modelExists ? "check" : "ban" ?>">
                                </span>
                                </span>
                                <?php
                                    if (!$modelExists && $tableExists):
                                        ?>
                                        <span class="badge bg-blue">
                                <a style=" color: white" href="<?= Url::to([
                                    "/Classifier/default/regenerate-model",
                                    "model" => true,
                                    "crud" => false,
                                    "classifier" => $model->id
                                ]) ?>" data-title="<?= Yii::t("classifiers", "Regenerate Model") ?>">
                                    <span class="fa fa-refresh "></span>
                                </a>
                            </span>
                                    <?php
                                    endif;
                                ?>

                            </td>
                        </tr>
                        <tr>
                            <td>3.</td>
                            <td><?= Yii::t("classifiers", "Generate CRUD") ?></td>
                            <td>
                                <div class="progress progress-xs">
                                    <div class="progress-bar progress-bar-<?= $crudExists ? "success" : "danger" ?>"
                                         style="width: <?= $crudExists ? "100%" : "90%" ?>"></div>
                                </div>
                            </td>
                            <td>
                            <span class="badge bg-<?= $crudExists ? "green" : "red" ?>">
                                <span class="fa fa-<?= $crudExists ? "check" : "ban" ?>"></span>
                            </span>
                                <?php
                                    if (!$crudExists):
                                        ?>
                                        <span class="badge bg-blue">
                                <a style=" color: white" href="<?= Url::to([
                                    "/Classifier/default/regenerate-model",
                                    "tabel" => false,
                                    "model" => false,
                                    "crud" => true,
                                    "classifier" => $model->id
                                ]) ?>" data-title="<?= Yii::t("classifiers", "Create Elastic") ?>">
                                    <span class="fa fa-refresh "></span>
                                </a>
                            </span>
                                    <?php
                                    endif;
                                ?>
                            </td>
                        </tr>


                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>


</div>
